Package com.pixelmed.dicom

# Class SOPClass

java.lang.Object
com.pixelmed.dicom.SOPClass

Direct Known Subclasses:
  `FindSOPClassSCU`, `GetSOPClassSCU`, `MoveSOPClassSCU`, `StorageSOPClassSCP`, `StorageSOPClassSCU`, `VerificationSOPClassSCU`

public abstract class SOPClass extends Object

The abstract base class of classes that implement individual DICOM SOP Classes or groups of SOP Classes that behave similarly (for example the composite instance Storage SOP Classes).

There is no formal or separate abstraction of the DICOM concept of a Service Class per se.

Also defines the UID strings that correspond to the individual SOP Classes, as well as various utility methods for testing whether or not a string UID is of a particular family.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AcquisitionContextSRStorage`
`static final String`
`AdvancedBlendingPresentationStateStorage`
`static final String`
`AmbulatoryECGStorage`
`static final String[]`
`arrayOfQuerySOPClasses`
`static final String[]`
`arrayOfRetrieveWithGetSOPClasses`
`static final String[]`
`arrayOfRetrieveWithMoveSOPClasses`
`static final String[]`
`arrayOfStorageSOPClasses`
`static final String`
`ArterialPulseWaveformStorage`
`static final String`
`AudioSRStorageTrialRetired`
`static final String`
`AutorefractionMeasurementsStorage`
`static final String`
`BasicStructuredDisplayStorage`
`static final String`
`BasicTextSRStorage`
`static final String`
`BasicVoiceStorage`
`static final String`
`BlendingSoftcopyPresentationStateStorage`
`static final String`
`BodyPositionWaveformStorage`
`static final String`
`BreastProjectionXRayImageStorageForPresentation`
`static final String`
`BreastProjectionXRayImageStorageForProcessing`
`static final String`
`BreastTomosynthesisImageStorage`
`static final String`
`CardiacElectrophysiologyWaveformStorage`
`static final String`
`CArmPhotonElectronRadiationRecordStorage`
`static final String`
`CArmPhotonElectronRadiationStorage`
`static final String`
`ChestCADSRStorage`
`static final String`
`ColonCADSRStorage`
`static final String`
`ColorPaletteInformationModelFind`
`static final String`
`ColorPaletteInformationModelGet`
`static final String`
`ColorPaletteInformationModelMove`
`static final String`
`ColorPaletteStorage`
`static final String`
`ColorSoftcopyPresentationStateStorage`
`static final String`
`CompositingPlanarMPRVolumetricPresentationStateStorage`
`static final String`
`Comprehensive3DSRStorage`
`static final String`
`ComprehensiveSRStorage`
`static final String`
`ComprehensiveSRStorageTrialRetired`
`static final String`
`ComputedRadiographyImageStorage`
`static final String`
`CornealTopographyMapStorage`
`static final String`
`CTImageStorage`
`static final String`
`DeformableSpatialRegistrationStorage`
`static final String`
`DermoscopicPhotographyImageStorage`
`static final String`
`DetailSRStorageTrialRetired`
`static final String`
`DICONDEEddyCurrentImageStorage`
`static final String`
`DICONDEEddyCurrentMultiframeImageStorage`
`static final String`
`DICOS2DAITStorage`
`static final String`
`DICOS3DAITStorage`
`static final String`
`DICOSCTImageStorage`
`static final String`
`DICOSDigitalXRayImageStorageForPresentation`
`static final String`
`DICOSDigitalXRayImageStorageForProcessing`
`static final String`
`DICOSQuadrupoleResonanceStorage`
`static final String`
`DICOSThreatDetectionReportStorage`
`static final String`
`DigitalIntraoralXRayImageStorageForPresentation`
`static final String`
`DigitalIntraoralXRayImageStorageForProcessing`
`static final String`
`DigitalMammographyXRayImageStorageForPresentation`
`static final String`
`DigitalMammographyXRayImageStorageForProcessing`
`static final String`
`DigitalXRayImageStorageForPresentation`
`static final String`
`DigitalXRayImageStorageForProcessing`
`static final String`
`ElectromyogramWaveformStorage`
`static final String`
`ElectrooculogramWaveformStorage`
`static final String`
`EncapsulatedCDAStorage`
`static final String`
`EncapsulatedPDFStorage`
`static final String`
`EncapsulatedSTLStorage`
`static final String`
`EnhancedCTImageStorage`
`static final String`
`EnhancedMRColorImageStorage`
`static final String`
`EnhancedMRImageStorage`
`static final String`
`EnhancedPETImageStorage`
`static final String`
`EnhancedSRStorage`
`static final String`
`EnhancedUSVolumeStorage`
`static final String`
`EnhancedXAImageStorage`
`static final String`
`EnhancedXRFImageStorage`
`static final String`
`ExtensibleSRStorage`
`static final String`
`GeneralAudioWaveformStorage`
`static final String`
`GeneralECGStorage`
`static final String`
`GenericImplantTemplateStorage`
`static final String`
`GrayscalePlanarMPRVolumetricPresentationStateStorage`
`static final String`
`GrayscaleSoftcopyPresentationStateStorage`
`static final String`
`HemodynamicWaveformStorage`
`static final String`
`ImplantAssemblyTemplateStorage`
`static final String`
`ImplantationPlanSRStorage`
`static final String`
`ImplantTemplateGroupStorage`
`static final String`
`IntraocularLensCalculationsStorage`
`static final String`
`IVOCTImageStorageForPresentation`
`static final String`
`IVOCTImageStorageForProcessing`
`static final String`
`KeratometryMeasurementsStorage`
`static final String`
`KeyObjectSelectionDocumentStorage`
`static final String`
`LegacyConvertedEnhancedCTImageStorage`
`static final String`
`LegacyConvertedEnhancedMRImageStorage`
`static final String`
`LegacyConvertedEnhancedPETImageStorage`
`static final String`
`LensometryMeasurementsStorage`
`static final String`
`MacularGridThicknessAndVolumeReportStorage`
`static final String`
`MammographyCADSRStorage`
`static final String`
`MediaStorageDirectoryStorage`
`static final String`
`MRImageStorage`
`static final String`
`MRSpectroscopyStorage`
`static final String`
`MultichannelRespiratoryWaveformStorage`
`static final String`
`MultiframeGrayscaleByteSecondaryCaptureImageStorage`
`static final String`
`MultiframeGrayscaleWordSecondaryCaptureImageStorage`
`static final String`
`MultiframeSingleBitSecondaryCaptureImageStorage`
`static final String`
`MultiframeTrueColorSecondaryCaptureImageStorage`
`static final String`
`MultipleVolumeRenderingVolumetricPresentationStateStorage`
`static final String`
`NuclearMedicineImageStorage`
`static final String`
`NuclearMedicineImageStorageRetired`
`static final String`
`OphthalmicAxialMeasurementsStorage`
`static final String`
`OphthalmicOpticalCoherenceTomographyBscanVolumeAnalysisStorage`
`static final String`
`OphthalmicOpticalCoherenceTomographyEnFaceImageStorage`
`static final String`
`OphthalmicPhotography16BitImageStorage`
`static final String`
`OphthalmicPhotography8BitImageStorage`
`static final String`
`OphthalmicThicknessMapStorage`
`static final String`
`OphthalmicTomographyImageStorage`
`static final String`
`OphthalmicVisualFieldStaticPerimetryMeasurementsStorage`
`static final String`
`ParametricMapStorage`
`static final String`
`PatientRadiationDoseSRStorage`
`static final String`
`PatientRootQueryRetrieveInformationModelFind`
`static final String`
`PatientRootQueryRetrieveInformationModelGet`
`static final String`
`PatientRootQueryRetrieveInformationModelMove`
`static final String`
`PatientStudyOnlyQueryRetrieveInformationModelFind`
`static final String`
`PatientStudyOnlyQueryRetrieveInformationModelGet`
`static final String`
`PatientStudyOnlyQueryRetrieveInformationModelMove`
`static final String`
`PETImageStorage`
`static final String`
`PrivateAcusonStructuredReportDetailStorage`
`static final String`
`PrivateAgfaBasicAttributePresentationStateStorage`
`static final String`
`PrivateDcm4cheEncapsulatedDocumentStorage`
`static final String`
`PrivateDcm4cheUpgradedCTImageStorage`
`static final String`
`PrivateDcm4cheUpgradedMRImageStorage`
`static final String`
`PrivateDcm4cheUpgradedPETImageStorage`
`static final String`
`PrivateERADPracticeBuilderReportDictationStorage`
`static final String`
`PrivateERADPracticeBuilderReportTextStorage`
`static final String`
`PrivateFujiCRImageStorage`
`static final String`
`PrivateGE3DModelStorage`
`static final String`
`PrivateGECollageStorage`
`static final String`
`PrivateGEDicomCTImageInfoObject`
`static final String`
`PrivateGEDicomDisplayImageInfoObject`
`static final String`
`PrivateGEDicomMRImageInfoObject`
`static final String`
`PrivateGEeNTEGRAProtocolOrNMGenieStorage`
`static final String`
`PrivateGEPETRawDataStorage`
`static final String`
`PrivateGERTPlanStorage`
`static final String`
`PrivateMedicalInsight3DSoftcopyPresentationStateStorage`
`static final String`
`PrivatePhilips3DObject2Storage`
`static final String`
`PrivatePhilips3DObjectStorage`
`static final String`
`PrivatePhilips3DPresentationStateStorage`
`static final String`
`PrivatePhilipsCompositeObjectStorage`
`static final String`
`PrivatePhilipsCTSyntheticImageStorage`
`static final String`
`PrivatePhilipsCXImageStorage`
`static final String`
`PrivatePhilipsCXSyntheticImageStorage`
`static final String`
`PrivatePhilipsHPLive3D01Storage`
`static final String`
`PrivatePhilipsHPLive3D02Storage`
`static final String`
`PrivatePhilipsLiveRunStorage`
`static final String`
`PrivatePhilipsMRCardio2Storage`
`static final String`
`PrivatePhilipsMRCardioAnalysis2Storage`
`static final String`
`PrivatePhilipsMRCardioAnalysisStorage`
`static final String`
`PrivatePhilipsMRCardioProfileStorage`
`static final String`
`PrivatePhilipsMRCardioStorage`
`static final String`
`PrivatePhilipsMRColorImageStorage`
`static final String`
`PrivatePhilipsMRExamcardStorage`
`static final String`
`PrivatePhilipsMRSeriesDataStorage`
`static final String`
`PrivatePhilipsMRSpectrumStorage`
`static final String`
`PrivatePhilipsMRSyntheticImageStorage`
`static final String`
`PrivatePhilipsPerfusionImageStorage`
`static final String`
`PrivatePhilipsPerfusionStorage`
`static final String`
`PrivatePhilipsReconstructionStorage`
`static final String`
`PrivatePhilipsRunStorage`
`static final String`
`PrivatePhilipsSpecialisedXAStorage`
`static final String`
`PrivatePhilipsSurface2Storage`
`static final String`
`PrivatePhilipsSurfaceStorage`
`static final String`
`PrivatePhilipsVolume2Storage`
`static final String`
`PrivatePhilipsVolumeSetStorage`
`static final String`
`PrivatePhilipsVolumeStorage`
`static final String`
`PrivatePhilipsVRMLStorage`
`static final String`
`PrivatePhilipsXRayMFStorage`
`static final String`
`PrivatePixelMedFloatingPointImageStorage`
`static final String`
`PrivatePixelMedLegacyConvertedEnhancedCTImageStorage`
`static final String`
`PrivatePixelMedLegacyConvertedEnhancedMRImageStorage`
`static final String`
`PrivatePixelMedLegacyConvertedEnhancedPETImageStorage`
`static final String`
`PrivatePMODMultiframeImageStorage`
`static final String`
`PrivateSiemensAXFrameSetsStorage`
`static final String`
`PrivateSiemensCSANonImageStorage`
`static final String`
`PrivateSiemensCTMRVolumeStorage`
`static final String`
`PrivateTomTecAnnotationStorage`
`static final String`
`PrivateToshibaUSImageStorage`
`static final String`
`ProcedureLogStorage`
`static final String`
`PseudoColorSoftcopyPresentationStateStorage`
`static final String`
`RadiopharmaceuticalRadiationDoseSRStorage`
`static final String`
`RawDataStorage`
`static final String`
`RealWorldValueMappingStorage`
`static final String`
`RespiratoryWaveformStorage`
`static final String`
`RoboticArmRadiationStorage`
`static final String`
`RoboticRadiationRecordStorage`
`static final String`
`RoutineScalpElectroencephalogramWaveformStorage`
`static final String`
`RTBeamsDeliveryInstructionStorage`
`static final String`
`RTBeamsDeliveryInstructionStorageTrial`
`static final String`
`RTBeamsTreatmentRecordStorage`
`static final String`
`RTBrachyTreatmentRecordStorage`
`static final String`
`RTDoseStorage`
`static final String`
`RTImageStorage`
`static final String`
`RTIonBeamsTreatmentRecordStorage`
`static final String`
`RTIonPlanStorage`
`static final String`
`RTPhysicianIntentStorage`
`static final String`
`RTPlanStorage`
`static final String`
`RTRadiationRecordSetStorage`
`static final String`
`RTRadiationSalvageRecordStorage`
`static final String`
`RTRadiationSetStorage`
`static final String`
`RTSegmentAnnotationStorage`
`static final String`
`RTStructureSetStorage`
`static final String`
`RTTreatmentSummaryRecordStorage`
`static final String`
`SecondaryCaptureImageStorage`
`static final String`
`SegmentationStorage`
`static final String`
`SegmentedVolumeRenderingVolumetricPresentationStateStorage`
`static final String`
`SimplifiedAdultEchoSRStorage`
`static final String`
`SleepElectroencephalogramWaveformStorage`
`static final String`
`SpatialFiducialsStorage`
`static final String`
`SpatialRegistrationStorage`
`static final String`
`SpectaclePrescriptionReportStorage`
`static final String`
`StandaloneCurveStorage`
`static final String`
`StandaloneModalityLUTStorage`
`static final String`
`StandaloneOverlayStorage`
`static final String`
`StandalonePETCurveStorage`
`static final String`
`StandaloneVOILUTStorage`
`static final String`
`StereometricRelationshipStorage`
`static final String`
`StudyRootQueryRetrieveInformationModelFind`
`static final String`
`StudyRootQueryRetrieveInformationModelGet`
`static final String`
`StudyRootQueryRetrieveInformationModelMove`
`static final String`
`SubjectiveRefractionMeasurementsStorage`
`static final String`
`SurfaceScanMeshStorage`
`static final String`
`SurfaceScanPointCloudStorage`
`static final String`
`SurfaceSegmentationStorage`
`static final String`
`TextSRStorageTrialRetired`
`static final String`
`TomotherapeuticRadiationRecordStorage`
`static final String`
`TomotherapeuticRadiationStorage`
`static final String`
`TractographyResultsStorage`
`static final String`
`TwelveLeadECGStorage`
`static final String`
`UltrasoundImageStorage`
`static final String`
`UltrasoundImageStorageRetired`
`static final String`
`UltrasoundMultiframeImageStorage`
`static final String`
`UltrasoundMultiframeImageStorageRetired`
`static final String`
`Verification`
`static final String`
`VideoEndoscopicImageStorage`
`static final String`
`VideoMicroscopicImageStorage`
`static final String`
`VideoPhotographicImageStorage`
`static final String`
`VisibleLightDraftImageStorage`
`static final String`
`VisibleLightEndoscopicImageStorage`
`static final String`
`VisibleLightMicroscopicImageStorage`
`static final String`
`VisibleLightMultiFrameDraftImageStorage`
`static final String`
`VisibleLightPhotographicImageStorage`
`static final String`
`VisibleLightSlideCoordinatesMicroscopicImageStorage`
`static final String`
`VisualAcuityMeasurementsStorage`
`static final String`
`VLWholeSlideMicroscopyImageStorage`
`static final String`
`VolumeRenderingVolumetricPresentationStateStorage`
`static final String`
`WideFieldOphthalmicPhotography3DCoordinatesImageStorage`
`static final String`
`WideFieldOphthalmicPhotographyStereographicProjectionImageStorage`
`static final String`
`XAXRFGrayscaleSoftcopyPresentationStateStorage`
`static final String`
`XRay3DAngiographicImageStorage`
`static final String`
`XRay3DCraniofacialImageStorage`
`static final String`
`XRayAngiographicBiplaneImageStorage`
`static final String`
`XRayAngiographicImageStorage`
`static final String`
`XRayRadiationDoseSRStorage`
`static final String`
`XRayRadioFlouroscopicImageStorage`

## Constructor Summary

Constructors
Constructor
Description
`SOPClass()`

## Method Summary

Modifier and Type
Method
Description
`static String[]`
`getPlausibleStandardSOPClassUIDsForModality(String modality)`
Return a plausible set of SOP Classes with which to encode a specified modality.
`static final Set`
`getSetOfStorageSOPClasses()`
`static final boolean`
`isCompositeInstanceQuery(String sopClassUID)`
`static final boolean`
`isCompositeInstanceRetrieve(String sopClassUID)`
`static final boolean`
`isCompositeInstanceRetrieveWithGet(String sopClassUID)`
`static final boolean`
`isCompositeInstanceRetrieveWithMove(String sopClassUID)`
`static final boolean`
`isDICONDEImageStorage(String sopClassUID)`
`static final boolean`
`isDICOSImageStorage(String sopClassUID)`
`static final boolean`
`isDICOSNonImageStorage(String sopClassUID)`
`static final boolean`
`isDirectory(String sopClassUID)`
`static final boolean`
`isEncapsulatedDocument(String sopClassUID)`
`static final boolean`
`isEnhancedMultiframeImageStorage(String sopClassUID)`
`static final boolean`
`isEnhancedMultiframeImageWithPlanePositionOrientationAndMeasuresStorage(String sopClassUID)`
`static final boolean`
`isImageStorage(String sopClassUID)`
`static final boolean`
`isImageWithFrameOfReferenceStorage(String sopClassUID)`
`static final boolean`
`isImageWithSynchronizationStorage(String sopClassUID)`
`static final boolean`
`isKeyObjectSelectionDocument(String sopClassUID)`
`static final boolean`
`isLegacyConvertedEnhancedImageStorage(String sopClassUID)`
`static final boolean`
`isMiscellaneousCompositeNonImageStorage(String sopClassUID)`
`static final boolean`
`isMiscellaneousNonCompositeStorage(String sopClassUID)`
`static final boolean`
`isMultiframeImageStorage(String sopClassUID)`
`static final boolean`
`isMultiframeSecondaryCaptureImageStorage(String sopClassUID)`
`static final boolean`
`isNonImageStorage(String sopClassUID)`
`static final boolean`
`isOphthalmicMeasurementStorage(String sopClassUID)`
`static final boolean`
`isPatientRootCompositeInstanceQuery(String sopClassUID)`
`static final boolean`
`isPatientRootCompositeInstanceRetrieve(String sopClassUID)`
`static final boolean`
`isPatientRootCompositeInstanceRetrieveWithGet(String sopClassUID)`
`static final boolean`
`isPatientRootCompositeInstanceRetrieveWithMove(String sopClassUID)`
`static final boolean`
`isPatientStudyOnlyCompositeInstanceQuery(String sopClassUID)`
`static final boolean`
`isPatientStudyOnlyCompositeInstanceRetrieve(String sopClassUID)`
`static final boolean`
`isPatientStudyOnlyCompositeInstanceRetrieveWithGet(String sopClassUID)`
`static final boolean`
`isPatientStudyOnlyCompositeInstanceRetrieveWithMove(String sopClassUID)`
`static final boolean`
`isPresentationState(String sopClassUID)`
`static final boolean`
`isPrivateImageStorage(String sopClassUID)`
`static final boolean`
`isPrivateNonImageStorage(String sopClassUID)`
`static final boolean`
`isRadiotherapy(String sopClassUID)`
`static final boolean`
`isRawData(String sopClassUID)`
`static final boolean`
`isSecondaryCaptureImageStorage(String sopClassUID)`
`static final boolean`
`isSpectroscopy(String sopClassUID)`
`static final boolean`
`isStandalone(String sopClassUID)`
`static final boolean`
`isStandardImageStorage(String sopClassUID)`
`static final boolean`
`isStorage(String sopClassUID)`
`static final boolean`
`isStructuredReport(String sopClassUID)`
`static final boolean`
`isStudyRootCompositeInstanceQuery(String sopClassUID)`
`static final boolean`
`isStudyRootCompositeInstanceRetrieve(String sopClassUID)`
`static final boolean`
`isStudyRootCompositeInstanceRetrieveWithGet(String sopClassUID)`
`static final boolean`
`isStudyRootCompositeInstanceRetrieveWithMove(String sopClassUID)`
`static final boolean`
`isTiledImageStorage(String sopClassUID)`
`static final boolean`
`isTrialRetiredStructuredReport(String sopClassUID)`
`static final boolean`
`isVerification(String sopClassUID)`
`static final boolean`
`isWaveform(String sopClassUID)`
`static String`
`selectModalityForSOPClass(String sopClassUID)`
Return the standard specified Modality for a Storage SOP Class, or a conventional choice if not enumerated by the standard.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### Verification

public static final String Verification

See Also:
  - Constant Field Values

### PrivateGEDicomMRImageInfoObject

public static final String PrivateGEDicomMRImageInfoObject

See Also:
  - Constant Field Values

### PrivateGEDicomCTImageInfoObject

public static final String PrivateGEDicomCTImageInfoObject

See Also:
  - Constant Field Values

### PrivateGEDicomDisplayImageInfoObject

public static final String PrivateGEDicomDisplayImageInfoObject

See Also:
  - Constant Field Values

### PrivateGEPETRawDataStorage

public static final String PrivateGEPETRawDataStorage

See Also:
  - Constant Field Values

### PrivateGE3DModelStorage

public static final String PrivateGE3DModelStorage

See Also:
  - Constant Field Values

### PrivateGEeNTEGRAProtocolOrNMGenieStorage

public static final String PrivateGEeNTEGRAProtocolOrNMGenieStorage

See Also:
  - Constant Field Values

### PrivateGECollageStorage

public static final String PrivateGECollageStorage

See Also:
  - Constant Field Values

### PrivateGERTPlanStorage

public static final String PrivateGERTPlanStorage

See Also:
  - Constant Field Values

### PrivateSiemensCSANonImageStorage

public static final String PrivateSiemensCSANonImageStorage

See Also:
  - Constant Field Values

### PrivateSiemensCTMRVolumeStorage

public static final String PrivateSiemensCTMRVolumeStorage

See Also:
  - Constant Field Values

### PrivateSiemensAXFrameSetsStorage

public static final String PrivateSiemensAXFrameSetsStorage

See Also:
  - Constant Field Values

### PrivateAgfaBasicAttributePresentationStateStorage

public static final String PrivateAgfaBasicAttributePresentationStateStorage

See Also:
  - Constant Field Values

### PrivateMedicalInsight3DSoftcopyPresentationStateStorage

public static final String PrivateMedicalInsight3DSoftcopyPresentationStateStorage

See Also:
  - Constant Field Values

### PrivateAcusonStructuredReportDetailStorage

public static final String PrivateAcusonStructuredReportDetailStorage

See Also:
  - Constant Field Values

### PrivateTomTecAnnotationStorage

public static final String PrivateTomTecAnnotationStorage

See Also:
  - Constant Field Values

### PrivateFujiCRImageStorage

public static final String PrivateFujiCRImageStorage

See Also:
  - Constant Field Values

### PrivatePhilipsSpecialisedXAStorage

public static final String PrivatePhilipsSpecialisedXAStorage

See Also:
  - Constant Field Values

### PrivatePhilipsCXImageStorage

public static final String PrivatePhilipsCXImageStorage

See Also:
  - Constant Field Values

### PrivatePhilips3DPresentationStateStorage

public static final String PrivatePhilips3DPresentationStateStorage

See Also:
  - Constant Field Values

### PrivatePhilipsVolumeStorage

public static final String PrivatePhilipsVolumeStorage

See Also:
  - Constant Field Values

### PrivatePhilipsVolume2Storage

public static final String PrivatePhilipsVolume2Storage

See Also:
  - Constant Field Values

### PrivatePhilips3DObjectStorage

public static final String PrivatePhilips3DObjectStorage

See Also:
  - Constant Field Values

### PrivatePhilips3DObject2Storage

public static final String PrivatePhilips3DObject2Storage

See Also:
  - Constant Field Values

### PrivatePhilipsSurfaceStorage

public static final String PrivatePhilipsSurfaceStorage

See Also:
  - Constant Field Values

### PrivatePhilipsSurface2Storage

public static final String PrivatePhilipsSurface2Storage

See Also:
  - Constant Field Values

### PrivatePhilipsCompositeObjectStorage

public static final String PrivatePhilipsCompositeObjectStorage

See Also:
  - Constant Field Values

### PrivatePhilipsMRCardioProfileStorage

public static final String PrivatePhilipsMRCardioProfileStorage

See Also:
  - Constant Field Values

### PrivatePhilipsMRCardioStorage

public static final String PrivatePhilipsMRCardioStorage

See Also:
  - Constant Field Values

### PrivatePhilipsMRCardio2Storage

public static final String PrivatePhilipsMRCardio2Storage

See Also:
  - Constant Field Values

### PrivatePhilipsCTSyntheticImageStorage

public static final String PrivatePhilipsCTSyntheticImageStorage

See Also:
  - Constant Field Values

### PrivatePhilipsMRSyntheticImageStorage

public static final String PrivatePhilipsMRSyntheticImageStorage

See Also:
  - Constant Field Values

### PrivatePhilipsMRCardioAnalysisStorage

public static final String PrivatePhilipsMRCardioAnalysisStorage

See Also:
  - Constant Field Values

### PrivatePhilipsMRCardioAnalysis2Storage

public static final String PrivatePhilipsMRCardioAnalysis2Storage

See Also:
  - Constant Field Values

### PrivatePhilipsCXSyntheticImageStorage

public static final String PrivatePhilipsCXSyntheticImageStorage

See Also:
  - Constant Field Values

### PrivatePhilipsPerfusionStorage

public static final String PrivatePhilipsPerfusionStorage

See Also:
  - Constant Field Values

### PrivatePhilipsPerfusionImageStorage

public static final String PrivatePhilipsPerfusionImageStorage

See Also:
  - Constant Field Values

### PrivatePhilipsMRSpectrumStorage

public static final String PrivatePhilipsMRSpectrumStorage

See Also:
  - Constant Field Values

### PrivatePhilipsMRSeriesDataStorage

public static final String PrivatePhilipsMRSeriesDataStorage

See Also:
  - Constant Field Values

### PrivatePhilipsMRColorImageStorage

public static final String PrivatePhilipsMRColorImageStorage

See Also:
  - Constant Field Values

### PrivatePhilipsMRExamcardStorage

public static final String PrivatePhilipsMRExamcardStorage

See Also:
  - Constant Field Values

### PrivatePhilipsVRMLStorage

public static final String PrivatePhilipsVRMLStorage

See Also:
  - Constant Field Values

### PrivatePhilipsVolumeSetStorage

public static final String PrivatePhilipsVolumeSetStorage

See Also:
  - Constant Field Values

### PrivatePhilipsLiveRunStorage

public static final String PrivatePhilipsLiveRunStorage

See Also:
  - Constant Field Values

### PrivatePhilipsRunStorage

public static final String PrivatePhilipsRunStorage

See Also:
  - Constant Field Values

### PrivatePhilipsReconstructionStorage

public static final String PrivatePhilipsReconstructionStorage

See Also:
  - Constant Field Values

### PrivatePhilipsXRayMFStorage

public static final String PrivatePhilipsXRayMFStorage

See Also:
  - Constant Field Values

### PrivatePhilipsHPLive3D01Storage

public static final String PrivatePhilipsHPLive3D01Storage

See Also:
  - Constant Field Values

### PrivatePhilipsHPLive3D02Storage

public static final String PrivatePhilipsHPLive3D02Storage

See Also:
  - Constant Field Values

### PrivatePMODMultiframeImageStorage

public static final String PrivatePMODMultiframeImageStorage

See Also:
  - Constant Field Values

### PrivateToshibaUSImageStorage

public static final String PrivateToshibaUSImageStorage

See Also:
  - Constant Field Values

### PrivateERADPracticeBuilderReportTextStorage

public static final String PrivateERADPracticeBuilderReportTextStorage

See Also:
  - Constant Field Values

### PrivateERADPracticeBuilderReportDictationStorage

public static final String PrivateERADPracticeBuilderReportDictationStorage

See Also:
  - Constant Field Values

### PrivateDcm4cheUpgradedCTImageStorage

public static final String PrivateDcm4cheUpgradedCTImageStorage

See Also:
  - Constant Field Values

### PrivateDcm4cheUpgradedMRImageStorage

public static final String PrivateDcm4cheUpgradedMRImageStorage

See Also:
  - Constant Field Values

### PrivateDcm4cheUpgradedPETImageStorage

public static final String PrivateDcm4cheUpgradedPETImageStorage

See Also:
  - Constant Field Values

### PrivateDcm4cheEncapsulatedDocumentStorage

public static final String PrivateDcm4cheEncapsulatedDocumentStorage

See Also:
  - Constant Field Values

### PrivatePixelMedLegacyConvertedEnhancedCTImageStorage

public static final String PrivatePixelMedLegacyConvertedEnhancedCTImageStorage

See Also:
  - Constant Field Values

### PrivatePixelMedLegacyConvertedEnhancedMRImageStorage

public static final String PrivatePixelMedLegacyConvertedEnhancedMRImageStorage

See Also:
  - Constant Field Values

### PrivatePixelMedLegacyConvertedEnhancedPETImageStorage

public static final String PrivatePixelMedLegacyConvertedEnhancedPETImageStorage

See Also:
  - Constant Field Values

### PrivatePixelMedFloatingPointImageStorage

public static final String PrivatePixelMedFloatingPointImageStorage

See Also:
  - Constant Field Values

### DICOSCTImageStorage

public static final String DICOSCTImageStorage

See Also:
  - Constant Field Values

### DICOSDigitalXRayImageStorageForPresentation

public static final String DICOSDigitalXRayImageStorageForPresentation

See Also:
  - Constant Field Values

### DICOSDigitalXRayImageStorageForProcessing

public static final String DICOSDigitalXRayImageStorageForProcessing

See Also:
  - Constant Field Values

### DICOSThreatDetectionReportStorage

public static final String DICOSThreatDetectionReportStorage

See Also:
  - Constant Field Values

### DICOS2DAITStorage

public static final String DICOS2DAITStorage

See Also:
  - Constant Field Values

### DICOS3DAITStorage

public static final String DICOS3DAITStorage

See Also:
  - Constant Field Values

### DICOSQuadrupoleResonanceStorage

public static final String DICOSQuadrupoleResonanceStorage

See Also:
  - Constant Field Values

### DICONDEEddyCurrentImageStorage

public static final String DICONDEEddyCurrentImageStorage

See Also:
  - Constant Field Values

### DICONDEEddyCurrentMultiframeImageStorage

public static final String DICONDEEddyCurrentMultiframeImageStorage

See Also:
  - Constant Field Values

### ComputedRadiographyImageStorage

public static final String ComputedRadiographyImageStorage

See Also:
  - Constant Field Values

### DigitalXRayImageStorageForPresentation

public static final String DigitalXRayImageStorageForPresentation

See Also:
  - Constant Field Values

### DigitalXRayImageStorageForProcessing

public static final String DigitalXRayImageStorageForProcessing

See Also:
  - Constant Field Values

### DigitalMammographyXRayImageStorageForPresentation

public static final String DigitalMammographyXRayImageStorageForPresentation

See Also:
  - Constant Field Values

### DigitalMammographyXRayImageStorageForProcessing

public static final String DigitalMammographyXRayImageStorageForProcessing

See Also:
  - Constant Field Values

### DigitalIntraoralXRayImageStorageForPresentation

public static final String DigitalIntraoralXRayImageStorageForPresentation

See Also:
  - Constant Field Values

### DigitalIntraoralXRayImageStorageForProcessing

public static final String DigitalIntraoralXRayImageStorageForProcessing

See Also:
  - Constant Field Values

### CTImageStorage

public static final String CTImageStorage

See Also:
  - Constant Field Values

### EnhancedCTImageStorage

public static final String EnhancedCTImageStorage

See Also:
  - Constant Field Values

### LegacyConvertedEnhancedCTImageStorage

public static final String LegacyConvertedEnhancedCTImageStorage

See Also:
  - Constant Field Values

### UltrasoundMultiframeImageStorageRetired

public static final String UltrasoundMultiframeImageStorageRetired

See Also:
  - Constant Field Values

### UltrasoundMultiframeImageStorage

public static final String UltrasoundMultiframeImageStorage

See Also:
  - Constant Field Values

### MRImageStorage

public static final String MRImageStorage

See Also:
  - Constant Field Values

### EnhancedMRImageStorage

public static final String EnhancedMRImageStorage

See Also:
  - Constant Field Values

### EnhancedMRColorImageStorage

public static final String EnhancedMRColorImageStorage

See Also:
  - Constant Field Values

### LegacyConvertedEnhancedMRImageStorage

public static final String LegacyConvertedEnhancedMRImageStorage

See Also:
  - Constant Field Values

### NuclearMedicineImageStorageRetired

public static final String NuclearMedicineImageStorageRetired

See Also:
  - Constant Field Values

### UltrasoundImageStorageRetired

public static final String UltrasoundImageStorageRetired

See Also:
  - Constant Field Values

### UltrasoundImageStorage

public static final String UltrasoundImageStorage

See Also:
  - Constant Field Values

### EnhancedUSVolumeStorage

public static final String EnhancedUSVolumeStorage

See Also:
  - Constant Field Values

### SecondaryCaptureImageStorage

public static final String SecondaryCaptureImageStorage

See Also:
  - Constant Field Values

### MultiframeSingleBitSecondaryCaptureImageStorage

public static final String MultiframeSingleBitSecondaryCaptureImageStorage

See Also:
  - Constant Field Values

### MultiframeGrayscaleByteSecondaryCaptureImageStorage

public static final String MultiframeGrayscaleByteSecondaryCaptureImageStorage

See Also:
  - Constant Field Values

### MultiframeGrayscaleWordSecondaryCaptureImageStorage

public static final String MultiframeGrayscaleWordSecondaryCaptureImageStorage

See Also:
  - Constant Field Values

### MultiframeTrueColorSecondaryCaptureImageStorage

public static final String MultiframeTrueColorSecondaryCaptureImageStorage

See Also:
  - Constant Field Values

### XRayAngiographicImageStorage

public static final String XRayAngiographicImageStorage

See Also:
  - Constant Field Values

### EnhancedXAImageStorage

public static final String EnhancedXAImageStorage

See Also:
  - Constant Field Values

### XRayRadioFlouroscopicImageStorage

public static final String XRayRadioFlouroscopicImageStorage

See Also:
  - Constant Field Values

### EnhancedXRFImageStorage

public static final String EnhancedXRFImageStorage

See Also:
  - Constant Field Values

### XRayAngiographicBiplaneImageStorage

public static final String XRayAngiographicBiplaneImageStorage

See Also:
  - Constant Field Values

### XRay3DAngiographicImageStorage

public static final String XRay3DAngiographicImageStorage

See Also:
  - Constant Field Values

### XRay3DCraniofacialImageStorage

public static final String XRay3DCraniofacialImageStorage

See Also:
  - Constant Field Values

### BreastTomosynthesisImageStorage

public static final String BreastTomosynthesisImageStorage

See Also:
  - Constant Field Values

### BreastProjectionXRayImageStorageForPresentation

public static final String BreastProjectionXRayImageStorageForPresentation

See Also:
  - Constant Field Values

### BreastProjectionXRayImageStorageForProcessing

public static final String BreastProjectionXRayImageStorageForProcessing

See Also:
  - Constant Field Values

### NuclearMedicineImageStorage

public static final String NuclearMedicineImageStorage

See Also:
  - Constant Field Values

### ParametricMapStorage

public static final String ParametricMapStorage

See Also:
  - Constant Field Values

### VisibleLightDraftImageStorage

public static final String VisibleLightDraftImageStorage

See Also:
  - Constant Field Values

### VisibleLightMultiFrameDraftImageStorage

public static final String VisibleLightMultiFrameDraftImageStorage

See Also:
  - Constant Field Values

### VisibleLightEndoscopicImageStorage

public static final String VisibleLightEndoscopicImageStorage

See Also:
  - Constant Field Values

### VideoEndoscopicImageStorage

public static final String VideoEndoscopicImageStorage

See Also:
  - Constant Field Values

### VisibleLightMicroscopicImageStorage

public static final String VisibleLightMicroscopicImageStorage

See Also:
  - Constant Field Values

### VideoMicroscopicImageStorage

public static final String VideoMicroscopicImageStorage

See Also:
  - Constant Field Values

### VisibleLightSlideCoordinatesMicroscopicImageStorage

public static final String VisibleLightSlideCoordinatesMicroscopicImageStorage

See Also:
  - Constant Field Values

### VisibleLightPhotographicImageStorage

public static final String VisibleLightPhotographicImageStorage

See Also:
  - Constant Field Values

### VideoPhotographicImageStorage

public static final String VideoPhotographicImageStorage

See Also:
  - Constant Field Values

### OphthalmicPhotography8BitImageStorage

public static final String OphthalmicPhotography8BitImageStorage

See Also:
  - Constant Field Values

### OphthalmicPhotography16BitImageStorage

public static final String OphthalmicPhotography16BitImageStorage

See Also:
  - Constant Field Values

### OphthalmicTomographyImageStorage

public static final String OphthalmicTomographyImageStorage

See Also:
  - Constant Field Values

### WideFieldOphthalmicPhotographyStereographicProjectionImageStorage

public static final String WideFieldOphthalmicPhotographyStereographicProjectionImageStorage

See Also:
  - Constant Field Values

### WideFieldOphthalmicPhotography3DCoordinatesImageStorage

public static final String WideFieldOphthalmicPhotography3DCoordinatesImageStorage

See Also:
  - Constant Field Values

### OphthalmicOpticalCoherenceTomographyEnFaceImageStorage

public static final String OphthalmicOpticalCoherenceTomographyEnFaceImageStorage

See Also:
  - Constant Field Values

### OphthalmicOpticalCoherenceTomographyBscanVolumeAnalysisStorage

public static final String OphthalmicOpticalCoherenceTomographyBscanVolumeAnalysisStorage

See Also:
  - Constant Field Values

### OphthalmicThicknessMapStorage

public static final String OphthalmicThicknessMapStorage

See Also:
  - Constant Field Values

### CornealTopographyMapStorage

public static final String CornealTopographyMapStorage

See Also:
  - Constant Field Values

### VLWholeSlideMicroscopyImageStorage

public static final String VLWholeSlideMicroscopyImageStorage

See Also:
  - Constant Field Values

### DermoscopicPhotographyImageStorage

public static final String DermoscopicPhotographyImageStorage

See Also:
  - Constant Field Values

### PETImageStorage

public static final String PETImageStorage

See Also:
  - Constant Field Values

### LegacyConvertedEnhancedPETImageStorage

public static final String LegacyConvertedEnhancedPETImageStorage

See Also:
  - Constant Field Values

### EnhancedPETImageStorage

public static final String EnhancedPETImageStorage

See Also:
  - Constant Field Values

### RTImageStorage

public static final String RTImageStorage

See Also:
  - Constant Field Values

### SegmentationStorage

public static final String SegmentationStorage

See Also:
  - Constant Field Values

### IVOCTImageStorageForPresentation

public static final String IVOCTImageStorageForPresentation

See Also:
  - Constant Field Values

### IVOCTImageStorageForProcessing

public static final String IVOCTImageStorageForProcessing

See Also:
  - Constant Field Values

### MediaStorageDirectoryStorage

public static final String MediaStorageDirectoryStorage

See Also:
  - Constant Field Values

### BasicTextSRStorage

public static final String BasicTextSRStorage

See Also:
  - Constant Field Values

### EnhancedSRStorage

public static final String EnhancedSRStorage

See Also:
  - Constant Field Values

### ComprehensiveSRStorage

public static final String ComprehensiveSRStorage

See Also:
  - Constant Field Values

### Comprehensive3DSRStorage

public static final String Comprehensive3DSRStorage

See Also:
  - Constant Field Values

### ExtensibleSRStorage

public static final String ExtensibleSRStorage

See Also:
  - Constant Field Values

### MammographyCADSRStorage

public static final String MammographyCADSRStorage

See Also:
  - Constant Field Values

### ChestCADSRStorage

public static final String ChestCADSRStorage

See Also:
  - Constant Field Values

### ProcedureLogStorage

public static final String ProcedureLogStorage

See Also:
  - Constant Field Values

### XRayRadiationDoseSRStorage

public static final String XRayRadiationDoseSRStorage

See Also:
  - Constant Field Values

### RadiopharmaceuticalRadiationDoseSRStorage

public static final String RadiopharmaceuticalRadiationDoseSRStorage

See Also:
  - Constant Field Values

### ColonCADSRStorage

public static final String ColonCADSRStorage

See Also:
  - Constant Field Values

### ImplantationPlanSRStorage

public static final String ImplantationPlanSRStorage

See Also:
  - Constant Field Values

### AcquisitionContextSRStorage

public static final String AcquisitionContextSRStorage

See Also:
  - Constant Field Values

### SimplifiedAdultEchoSRStorage

public static final String SimplifiedAdultEchoSRStorage

See Also:
  - Constant Field Values

### PatientRadiationDoseSRStorage

public static final String PatientRadiationDoseSRStorage

See Also:
  - Constant Field Values

### MacularGridThicknessAndVolumeReportStorage

public static final String MacularGridThicknessAndVolumeReportStorage

See Also:
  - Constant Field Values

### KeyObjectSelectionDocumentStorage

public static final String KeyObjectSelectionDocumentStorage

See Also:
  - Constant Field Values

### SpectaclePrescriptionReportStorage

public static final String SpectaclePrescriptionReportStorage

See Also:
  - Constant Field Values

### TextSRStorageTrialRetired

public static final String TextSRStorageTrialRetired

See Also:
  - Constant Field Values

### AudioSRStorageTrialRetired

public static final String AudioSRStorageTrialRetired

See Also:
  - Constant Field Values

### DetailSRStorageTrialRetired

public static final String DetailSRStorageTrialRetired

See Also:
  - Constant Field Values

### ComprehensiveSRStorageTrialRetired

public static final String ComprehensiveSRStorageTrialRetired

See Also:
  - Constant Field Values

### GrayscaleSoftcopyPresentationStateStorage

public static final String GrayscaleSoftcopyPresentationStateStorage

See Also:
  - Constant Field Values

### ColorSoftcopyPresentationStateStorage

public static final String ColorSoftcopyPresentationStateStorage

See Also:
  - Constant Field Values

### PseudoColorSoftcopyPresentationStateStorage

public static final String PseudoColorSoftcopyPresentationStateStorage

See Also:
  - Constant Field Values

### BlendingSoftcopyPresentationStateStorage

public static final String BlendingSoftcopyPresentationStateStorage

See Also:
  - Constant Field Values

### XAXRFGrayscaleSoftcopyPresentationStateStorage

public static final String XAXRFGrayscaleSoftcopyPresentationStateStorage

See Also:
  - Constant Field Values

### GrayscalePlanarMPRVolumetricPresentationStateStorage

public static final String GrayscalePlanarMPRVolumetricPresentationStateStorage

See Also:
  - Constant Field Values

### CompositingPlanarMPRVolumetricPresentationStateStorage

public static final String CompositingPlanarMPRVolumetricPresentationStateStorage

See Also:
  - Constant Field Values

### AdvancedBlendingPresentationStateStorage

public static final String AdvancedBlendingPresentationStateStorage

See Also:
  - Constant Field Values

### VolumeRenderingVolumetricPresentationStateStorage

public static final String VolumeRenderingVolumetricPresentationStateStorage

See Also:
  - Constant Field Values

### SegmentedVolumeRenderingVolumetricPresentationStateStorage

public static final String SegmentedVolumeRenderingVolumetricPresentationStateStorage

See Also:
  - Constant Field Values

### MultipleVolumeRenderingVolumetricPresentationStateStorage

public static final String MultipleVolumeRenderingVolumetricPresentationStateStorage

See Also:
  - Constant Field Values

### TwelveLeadECGStorage

public static final String TwelveLeadECGStorage

See Also:
  - Constant Field Values

### GeneralECGStorage

public static final String GeneralECGStorage

See Also:
  - Constant Field Values

### HemodynamicWaveformStorage

public static final String HemodynamicWaveformStorage

See Also:
  - Constant Field Values

### AmbulatoryECGStorage

public static final String AmbulatoryECGStorage

See Also:
  - Constant Field Values

### CardiacElectrophysiologyWaveformStorage

public static final String CardiacElectrophysiologyWaveformStorage

See Also:
  - Constant Field Values

### BasicVoiceStorage

public static final String BasicVoiceStorage

See Also:
  - Constant Field Values

### GeneralAudioWaveformStorage

public static final String GeneralAudioWaveformStorage

See Also:
  - Constant Field Values

### ArterialPulseWaveformStorage

public static final String ArterialPulseWaveformStorage

See Also:
  - Constant Field Values

### RespiratoryWaveformStorage

public static final String RespiratoryWaveformStorage

See Also:
  - Constant Field Values

### MultichannelRespiratoryWaveformStorage

public static final String MultichannelRespiratoryWaveformStorage

See Also:
  - Constant Field Values

### RoutineScalpElectroencephalogramWaveformStorage

public static final String RoutineScalpElectroencephalogramWaveformStorage

See Also:
  - Constant Field Values

### ElectromyogramWaveformStorage

public static final String ElectromyogramWaveformStorage

See Also:
  - Constant Field Values

### ElectrooculogramWaveformStorage

public static final String ElectrooculogramWaveformStorage

See Also:
  - Constant Field Values

### SleepElectroencephalogramWaveformStorage

public static final String SleepElectroencephalogramWaveformStorage

See Also:
  - Constant Field Values

### BodyPositionWaveformStorage

public static final String BodyPositionWaveformStorage

See Also:
  - Constant Field Values

### StandaloneOverlayStorage

public static final String StandaloneOverlayStorage

See Also:
  - Constant Field Values

### StandaloneCurveStorage

public static final String StandaloneCurveStorage

See Also:
  - Constant Field Values

### StandaloneModalityLUTStorage

public static final String StandaloneModalityLUTStorage

See Also:
  - Constant Field Values

### StandaloneVOILUTStorage

public static final String StandaloneVOILUTStorage

See Also:
  - Constant Field Values

### StandalonePETCurveStorage

public static final String StandalonePETCurveStorage

See Also:
  - Constant Field Values

### RTDoseStorage

public static final String RTDoseStorage

See Also:
  - Constant Field Values

### RTStructureSetStorage

public static final String RTStructureSetStorage

See Also:
  - Constant Field Values

### RTBeamsTreatmentRecordStorage

public static final String RTBeamsTreatmentRecordStorage

See Also:
  - Constant Field Values

### RTPlanStorage

public static final String RTPlanStorage

See Also:
  - Constant Field Values

### RTBrachyTreatmentRecordStorage

public static final String RTBrachyTreatmentRecordStorage

See Also:
  - Constant Field Values

### RTTreatmentSummaryRecordStorage

public static final String RTTreatmentSummaryRecordStorage

See Also:
  - Constant Field Values

### RTIonPlanStorage

public static final String RTIonPlanStorage

See Also:
  - Constant Field Values

### RTIonBeamsTreatmentRecordStorage

public static final String RTIonBeamsTreatmentRecordStorage

See Also:
  - Constant Field Values

### RTPhysicianIntentStorage

public static final String RTPhysicianIntentStorage

See Also:
  - Constant Field Values

### RTSegmentAnnotationStorage

public static final String RTSegmentAnnotationStorage

See Also:
  - Constant Field Values

### RTRadiationSetStorage

public static final String RTRadiationSetStorage

See Also:
  - Constant Field Values

### CArmPhotonElectronRadiationStorage

public static final String CArmPhotonElectronRadiationStorage

See Also:
  - Constant Field Values

### TomotherapeuticRadiationStorage

public static final String TomotherapeuticRadiationStorage

See Also:
  - Constant Field Values

### RoboticArmRadiationStorage

public static final String RoboticArmRadiationStorage

See Also:
  - Constant Field Values

### RTRadiationRecordSetStorage

public static final String RTRadiationRecordSetStorage

See Also:
  - Constant Field Values

### RTRadiationSalvageRecordStorage

public static final String RTRadiationSalvageRecordStorage

See Also:
  - Constant Field Values

### TomotherapeuticRadiationRecordStorage

public static final String TomotherapeuticRadiationRecordStorage

See Also:
  - Constant Field Values

### CArmPhotonElectronRadiationRecordStorage

public static final String CArmPhotonElectronRadiationRecordStorage

See Also:
  - Constant Field Values

### RoboticRadiationRecordStorage

public static final String RoboticRadiationRecordStorage

See Also:
  - Constant Field Values

### RTBeamsDeliveryInstructionStorageTrial

public static final String RTBeamsDeliveryInstructionStorageTrial

See Also:
  - Constant Field Values

### RTBeamsDeliveryInstructionStorage

public static final String RTBeamsDeliveryInstructionStorage

See Also:
  - Constant Field Values

### MRSpectroscopyStorage

public static final String MRSpectroscopyStorage

See Also:
  - Constant Field Values

### RawDataStorage

public static final String RawDataStorage

See Also:
  - Constant Field Values

### EncapsulatedPDFStorage

public static final String EncapsulatedPDFStorage

See Also:
  - Constant Field Values

### EncapsulatedCDAStorage

public static final String EncapsulatedCDAStorage

See Also:
  - Constant Field Values

### EncapsulatedSTLStorage

public static final String EncapsulatedSTLStorage

See Also:
  - Constant Field Values

### SpatialRegistrationStorage

public static final String SpatialRegistrationStorage

See Also:
  - Constant Field Values

### SpatialFiducialsStorage

public static final String SpatialFiducialsStorage

See Also:
  - Constant Field Values

### DeformableSpatialRegistrationStorage

public static final String DeformableSpatialRegistrationStorage

See Also:
  - Constant Field Values

### StereometricRelationshipStorage

public static final String StereometricRelationshipStorage

See Also:
  - Constant Field Values

### RealWorldValueMappingStorage

public static final String RealWorldValueMappingStorage

See Also:
  - Constant Field Values

### SurfaceSegmentationStorage

public static final String SurfaceSegmentationStorage

See Also:
  - Constant Field Values

### TractographyResultsStorage

public static final String TractographyResultsStorage

See Also:
  - Constant Field Values

### SurfaceScanMeshStorage

public static final String SurfaceScanMeshStorage

See Also:
  - Constant Field Values

### SurfaceScanPointCloudStorage

public static final String SurfaceScanPointCloudStorage

See Also:
  - Constant Field Values

### BasicStructuredDisplayStorage

public static final String BasicStructuredDisplayStorage

See Also:
  - Constant Field Values

### LensometryMeasurementsStorage

public static final String LensometryMeasurementsStorage

See Also:
  - Constant Field Values

### AutorefractionMeasurementsStorage

public static final String AutorefractionMeasurementsStorage

See Also:
  - Constant Field Values

### KeratometryMeasurementsStorage

public static final String KeratometryMeasurementsStorage

See Also:
  - Constant Field Values

### SubjectiveRefractionMeasurementsStorage

public static final String SubjectiveRefractionMeasurementsStorage

See Also:
  - Constant Field Values

### VisualAcuityMeasurementsStorage

public static final String VisualAcuityMeasurementsStorage

See Also:
  - Constant Field Values

### OphthalmicAxialMeasurementsStorage

public static final String OphthalmicAxialMeasurementsStorage

See Also:
  - Constant Field Values

### IntraocularLensCalculationsStorage

public static final String IntraocularLensCalculationsStorage

See Also:
  - Constant Field Values

### OphthalmicVisualFieldStaticPerimetryMeasurementsStorage

public static final String OphthalmicVisualFieldStaticPerimetryMeasurementsStorage

See Also:
  - Constant Field Values

### ColorPaletteStorage

public static final String ColorPaletteStorage

See Also:
  - Constant Field Values

### GenericImplantTemplateStorage

public static final String GenericImplantTemplateStorage

See Also:
  - Constant Field Values

### ImplantAssemblyTemplateStorage

public static final String ImplantAssemblyTemplateStorage

See Also:
  - Constant Field Values

### ImplantTemplateGroupStorage

public static final String ImplantTemplateGroupStorage

See Also:
  - Constant Field Values

### StudyRootQueryRetrieveInformationModelFind

public static final String StudyRootQueryRetrieveInformationModelFind

See Also:
  - Constant Field Values

### StudyRootQueryRetrieveInformationModelMove

public static final String StudyRootQueryRetrieveInformationModelMove

See Also:
  - Constant Field Values

### StudyRootQueryRetrieveInformationModelGet

public static final String StudyRootQueryRetrieveInformationModelGet

See Also:
  - Constant Field Values

### PatientRootQueryRetrieveInformationModelFind

public static final String PatientRootQueryRetrieveInformationModelFind

See Also:
  - Constant Field Values

### PatientRootQueryRetrieveInformationModelMove

public static final String PatientRootQueryRetrieveInformationModelMove

See Also:
  - Constant Field Values

### PatientRootQueryRetrieveInformationModelGet

public static final String PatientRootQueryRetrieveInformationModelGet

See Also:
  - Constant Field Values

### PatientStudyOnlyQueryRetrieveInformationModelFind

public static final String PatientStudyOnlyQueryRetrieveInformationModelFind

See Also:
  - Constant Field Values

### PatientStudyOnlyQueryRetrieveInformationModelMove

public static final String PatientStudyOnlyQueryRetrieveInformationModelMove

See Also:
  - Constant Field Values

### PatientStudyOnlyQueryRetrieveInformationModelGet

public static final String PatientStudyOnlyQueryRetrieveInformationModelGet

See Also:
  - Constant Field Values

### ColorPaletteInformationModelFind

public static final String ColorPaletteInformationModelFind

See Also:
  - Constant Field Values

### ColorPaletteInformationModelMove

public static final String ColorPaletteInformationModelMove

See Also:
  - Constant Field Values

### ColorPaletteInformationModelGet

public static final String ColorPaletteInformationModelGet

See Also:
  - Constant Field Values

### arrayOfQuerySOPClasses

public static final String[] arrayOfQuerySOPClasses

### arrayOfRetrieveWithMoveSOPClasses

public static final String[] arrayOfRetrieveWithMoveSOPClasses

### arrayOfRetrieveWithGetSOPClasses

public static final String[] arrayOfRetrieveWithGetSOPClasses

### arrayOfStorageSOPClasses

public static final String[] arrayOfStorageSOPClasses

## Constructor Details

### SOPClass

public SOPClass()

## Method Details

### isVerification

public static final boolean isVerification(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the Verification SOP Class

### isPrivateNonImageStorage

public static final boolean isPrivateNonImageStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known private non-image Storage SOP Classes

### isPrivateImageStorage

public static final boolean isPrivateImageStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known private image Storage SOP Classes

### isDICOSImageStorage

public static final boolean isDICOSImageStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known DICOS image Storage SOP Classes

### isDICOSNonImageStorage

public static final boolean isDICOSNonImageStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known DICOS non-image Storage SOP Classes

### isDICONDEImageStorage

public static final boolean isDICONDEImageStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known DICONDE image Storage SOP Classes

### isTiledImageStorage

public static final boolean isTiledImageStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches an Image Storage SOP Class that uses frames in a tiled layout

### isImageStorage

public static final boolean isImageStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard or private Image Storage SOP Classes

### isStandardImageStorage

public static final boolean isStandardImageStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard Image Storage SOP Classes

### isEnhancedMultiframeImageStorage

public static final boolean isEnhancedMultiframeImageStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard or private Enhanced Multiframe Image Storage SOP Classes

### isEnhancedMultiframeImageWithPlanePositionOrientationAndMeasuresStorage

public static final boolean isEnhancedMultiframeImageWithPlanePositionOrientationAndMeasuresStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard or private Enhanced Multiframe Image Storage SOP Classes that uses the Plane Position, Orientation and Pixel Measures functional groups

### isImageWithFrameOfReferenceStorage

public static final boolean isImageWithFrameOfReferenceStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard or private Image Storage SOP Classes that uses the Frame of Reference Module

### isImageWithSynchronizationStorage

public static final boolean isImageWithSynchronizationStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard or private Image Storage SOP Classes that uses the Synchronization Module

### isLegacyConvertedEnhancedImageStorage

public static final boolean isLegacyConvertedEnhancedImageStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard or private Legacy Converted Enhanced Multiframe Image Storage SOP Classes

### isMultiframeSecondaryCaptureImageStorage

public static final boolean isMultiframeSecondaryCaptureImageStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard Multiframe Secondary Capture Image Storage SOP Classes

### isSecondaryCaptureImageStorage

public static final boolean isSecondaryCaptureImageStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard Secondary Capture Image Storage SOP Classes (including Multiframe)

### isMultiframeImageStorage

public static final boolean isMultiframeImageStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard Multiframe Image Storage SOP Classes

### isDirectory

public static final boolean isDirectory(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the Media Storage Directory Storage SOP Class (used for the DICOMDIR)

### isStructuredReport

public static final boolean isStructuredReport(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard generic or specific Structured Report Storage SOP Classes (including Key Object)

### isTrialRetiredStructuredReport

public static final boolean isTrialRetiredStructuredReport(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard generic or specific Structured Report Storage SOP Classes (including Key Object)

### isKeyObjectSelectionDocument

public static final boolean isKeyObjectSelectionDocument(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the Key Object Storage SOP Class

### isPresentationState

public static final boolean isPresentationState(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard Presentation State Storage SOP Classes (currently just the Grayscale Softcopy Presentation State Storage SOP Class)

### isWaveform

public static final boolean isWaveform(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard Waveform Storage SOP Classes

### isStandalone

public static final boolean isStandalone(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard Standalone Storage SOP Classes (overlay, curve (including PET curve), and LUTs)

### isRadiotherapy

public static final boolean isRadiotherapy(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard RT non-image Storage SOP Classes (dose, structure set, plan and treatment records)

### isSpectroscopy

public static final boolean isSpectroscopy(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard Spectroscopy Storage SOP Classes (currently just the MR Spectroscopy Storage SOP Class)

### isRawData

public static final boolean isRawData(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the Raw Data Storage SOP Class

### isEncapsulatedDocument

public static final boolean isEncapsulatedDocument(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the Raw Data Storage SOP Class

### isOphthalmicMeasurementStorage

public static final boolean isOphthalmicMeasurementStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known refractive measurement Storage SOP Classes

### isMiscellaneousCompositeNonImageStorage

public static final boolean isMiscellaneousCompositeNonImageStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known miscellaneous composite non-image Storage SOP Classes

### isMiscellaneousNonCompositeStorage

public static final boolean isMiscellaneousNonCompositeStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known miscellaneous non-composite Storage SOP Classes

### isNonImageStorage

public static final boolean isNonImageStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known non-image Storage SOP Classes (directory, SR, presentation state, waveform, standalone, RT, spectroscopy, raw data, encapsulated document, etc. or private)

### isStorage

public static final boolean isStorage(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known Storage SOP Classes

### isCompositeInstanceQuery

public static final boolean isCompositeInstanceQuery(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known composite instance query SOP Classes

### isStudyRootCompositeInstanceQuery

public static final boolean isStudyRootCompositeInstanceQuery(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the study root composite instance query SOP Class

### isPatientRootCompositeInstanceQuery

public static final boolean isPatientRootCompositeInstanceQuery(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the patient root composite instance query SOP Class

### isPatientStudyOnlyCompositeInstanceQuery

public static final boolean isPatientStudyOnlyCompositeInstanceQuery(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the patient/study only composite instance query SOP Class

### isCompositeInstanceRetrieveWithMove

public static final boolean isCompositeInstanceRetrieveWithMove(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known composite instance retrieve move SOP Classes

### isStudyRootCompositeInstanceRetrieveWithMove

public static final boolean isStudyRootCompositeInstanceRetrieveWithMove(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the study root composite instance retrieve move SOP Class

### isPatientRootCompositeInstanceRetrieveWithMove

public static final boolean isPatientRootCompositeInstanceRetrieveWithMove(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the patient root composite instance retrieve move SOP Class

### isPatientStudyOnlyCompositeInstanceRetrieveWithMove

public static final boolean isPatientStudyOnlyCompositeInstanceRetrieveWithMove(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the patient/study only composite instance retrieve move SOP Class

### isCompositeInstanceRetrieveWithGet

public static final boolean isCompositeInstanceRetrieveWithGet(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known composite instance get SOP Classes

### isStudyRootCompositeInstanceRetrieveWithGet

public static final boolean isStudyRootCompositeInstanceRetrieveWithGet(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the study root composite instance get SOP Class

### isPatientRootCompositeInstanceRetrieveWithGet

public static final boolean isPatientRootCompositeInstanceRetrieveWithGet(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the patient root composite instance get SOP Class

### isPatientStudyOnlyCompositeInstanceRetrieveWithGet

public static final boolean isPatientStudyOnlyCompositeInstanceRetrieveWithGet(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the patient/study only composite instance get SOP Class

### isCompositeInstanceRetrieve

public static final boolean isCompositeInstanceRetrieve(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known composite instance retrieve move or get SOP Classes

### isStudyRootCompositeInstanceRetrieve

public static final boolean isStudyRootCompositeInstanceRetrieve(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the study root composite instance retrieve move or get SOP Classes

### isPatientRootCompositeInstanceRetrieve

public static final boolean isPatientRootCompositeInstanceRetrieve(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the patient root composite instance retrieve move or get SOP Classes

### isPatientStudyOnlyCompositeInstanceRetrieve

public static final boolean isPatientStudyOnlyCompositeInstanceRetrieve(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the patient/study only composite instance retrieve move or get SOP Classes

### getSetOfStorageSOPClasses

public static final Set getSetOfStorageSOPClasses()

Returns:
  an (unmodifiable) `Set` of known Storage SOP Classes

### getPlausibleStandardSOPClassUIDsForModality

public static String[] getPlausibleStandardSOPClassUIDsForModality(String modality)

Return a plausible set of SOP Classes with which to encode a specified modality.

Useful for association negotiation for a C-GET operation when the SOP Classes to be retrieved are not explicitly known.

Includes both those SOP Classes that have mandatory fixed modality values, as well as likely secondary capture, encapsulated, raw data and more general SOP Classes that could be used.

Parameters:
  `modality` - a DICOM standard string value for Modality
Returns:
  an array of DICOM standard Storage SOP Class UIDs

### selectModalityForSOPClass

public static String selectModalityForSOPClass(String sopClassUID)

Return the standard specified Modality for a Storage SOP Class, or a conventional choice if not enumerated by the standard.

Will return "OT" if the SOP Class is not recognized or is not specific to a particular Modality.

Parameters:
  `sopClassUID` - a DICOM standard Storage SOP Class UID
Returns:
  a DICOM standard string value for Modality